# Spiffup
# by Eresse <eresse@eresse.net>

# Internal Includes
require 'spiffup/term_color'

# Monkey-patch String Class
class String

	# Attach Color Methods
	Spiffup::TermColor::COLS.each do |col, idx|
		define_method(col) { "#{Spiffup::TermColor::col idx}#{self}#{Spiffup::TermColor::RST}" }
		define_method("b#{col}") { "#{Spiffup::TermColor::col idx, true}#{self}#{Spiffup::TermColor::RST}" }
	end
end
